org.apache.ignite.internal.processors.query.property

## Class QueryReadOnlyMethodsAccessor

- java.lang.Object
- - org.apache.ignite.internal.processors.query.property.QueryReadOnlyMethodsAccessor

All Implemented Interfaces:
  QueryPropertyAccessor

    public class QueryReadOnlyMethodsAccessor
    extends Object
    implements QueryPropertyAccessor

Accessor with getter only.

### Constructor Summary

Constructors
Constructor and Description
`QueryReadOnlyMethodsAccessor(Method getter, String propName)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getPropertyName()`
`Class<?>` `getType()`
`Object` `getValue(Object obj)` Get property value from given object.
`void` `setValue(Object obj, Object newVal)` Set property value on given object.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### QueryReadOnlyMethodsAccessor

    public QueryReadOnlyMethodsAccessor(Method getter,
                                        String propName)

Parameters:
  `getter` - Getter method.
  `propName` - Property name.

### Method Detail

#### getValue

    public Object getValue(Object obj)
                    throws IgniteCheckedException

Get property value from given object.

Specified by:
  `getValue` in interface `QueryPropertyAccessor`
Parameters:
  `obj` - Object to retrieve property value from.
Returns:
  Property value.
Throws:
  `IgniteCheckedException` - if failed.

#### setValue

    public void setValue(Object obj,
                         Object newVal)
                  throws IgniteCheckedException

Set property value on given object.

Specified by:
  `setValue` in interface `QueryPropertyAccessor`
Parameters:
  `obj` - Object to set property value on.
  `newVal` - Property value.
Throws:
  `IgniteCheckedException` - if failed.

#### getPropertyName

    public String getPropertyName()

Specified by:
  `getPropertyName` in interface `QueryPropertyAccessor`
Returns:
  Name of this property.

#### getType

    public Class<?> getType()

Specified by:
  `getType` in interface `QueryPropertyAccessor`
Returns:
  Type of the value of this property.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.5.0
Release Date | : May 23 2018